function Create(self)
	self.updateTimer = Timer();
	--Equip loadout actors with random weapons
	if not self:NumberValueExists("Equipped") then
		local headgear;
		if string.find(self.PresetName, "Secundisian") then
			local loadoutName = string.gsub(self.PresetName, "Secundisian ", "");
			if TrooperLoadouts[loadoutName] then
				local unit = TrooperLoadouts[loadoutName];
				--Pick a random item out of each set of items
				local firearms = {unit["Primary"], unit["Secondary"], unit["Tertiary"]};
				for class = 1, #firearms do
					if firearms[class] then
						local firearm = CreateHDFirearm(firearms[class][math.random(#firearms[class])], "Secundisians.rte");
						firearm:SetGoldValue(firearm:GetGoldValue(0, 1, 1) * 0.6);
						self:AddInventoryItem(firearm);
					end
				end
				if unit["Throwable"] then
					self:AddInventoryItem(CreateTDExplosive(unit["Throwable"][math.random(#unit["Throwable"])], "Secundisians.rte"));
				end
			end
		end
		self:SetNumberValue("Equipped", 1);
	end
end